/*
 * Copyright (c) 2000 Southeastern Universities Research Association,
 *                    Continuous Electron Beam Accelerator Facility
 *
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 *
 *  Revision History:
 *  06/22/00:  Release version 0.3.
 *
 */

package adm;

import java.beans.*;

/**
 * BeanInfo for CBar
 *
 * @version   0.3  06/22/00
 * @author    Ying Chen, Chip Watson
 * @since     adm0.3
 *
 */

public class CBarBeanInfo extends SimpleBeanInfo {

    public BeanInfo[] getAdditionalBeanInfo() {
	try {
	    java.util.Vector v = new java.util.Vector();
	    BeanInfo[] rv;
	    BeanInfo b;
	    Class c = BEAN_CLASS.getSuperclass();
	    
	    while (c.isAssignableFrom(Object.class) != true) {
		b = Introspector.getBeanInfo(c);
		v.addElement(b);
		c = c.getSuperclass();
	    }
	    rv = new BeanInfo[v.size()];
	    v.copyInto(rv);
	    
	    return rv;
	}
	catch (IntrospectionException e) { throw new Error(e.toString());}
    }
    
    public BeanDescriptor getBeanDescriptor() {
	BeanDescriptor bd = new BeanDescriptor(BEAN_CLASS);
	return (BeanDescriptor) bd;
    }

    public java.awt.Image getIcon(int iconKind) {
	java.awt.Image img;
	if (iconKind == BeanInfo.ICON_MONO_16x16 ||
	    iconKind == BeanInfo.ICON_COLOR_16x16) {
	    img = loadImage("CBarC16.gif");
	}
	else if (iconKind == BeanInfo.ICON_MONO_32x32 ||
	    iconKind == BeanInfo.ICON_COLOR_32x32) {
	    img = loadImage("CBarC32.gif");
	}
	else { img = null; }
	return img;
    }
    
    public PropertyDescriptor[] getPropertyDescriptors() {
	try{
	    PropertyDescriptor fillMode = 
		new PropertyDescriptor("fillMode", BEAN_CLASS);
	    fillMode.setBound(true);
	    fillMode.setConstrained(false);
	    fillMode.setDisplayName("fillMode");
	    fillMode.setValue("ENUMERATION", "FILL_FROM_EDGE=0, FILL_FROM_CENTER=1");
	    PropertyDescriptor[] rv = {	fillMode };
	    return rv;
	} catch (IntrospectionException e) { throw new Error(e.toString()); }
    }
    
    private final static Class BEAN_CLASS = CBar.class;
    
}	//  end of class CBarBeanInfo
