/*
 * Copyright (c) 2000 Southeastern Universities Research Association,
 *                    Continuous Electron Beam Accelerator Facility
 *
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 *
 *  Revision History:
 *  06/22/00:  Release version 0.3.
 *
 */

package adm;

import java.beans.*;

/**
 * BeanInfo for CCanvas
 *
 * @version   0.3  06/22/00
 * @author    Ying Chen, Chip Watson
 * @since     adm0.3
 *
 */
public class CCanvasBeanInfo extends SimpleBeanInfo {

    private final static Class BEAN_CLASS = CCanvas.class;
    
    public BeanInfo[] getAdditionalBeanInfo() {
	try {
	    java.util.Vector v = new java.util.Vector();
	    BeanInfo[] rv;
	    BeanInfo b;
	    Class c = BEAN_CLASS.getSuperclass();
	    
	    while (c.isAssignableFrom(Object.class) != true) {
		b = Introspector.getBeanInfo(c);
		v.addElement(b);
		c = c.getSuperclass();
	    }
	    rv = new BeanInfo[v.size()];
	    v.copyInto(rv);
	    return rv;
	}
	catch (IntrospectionException e) { throw new Error(e.toString());}
    }
    
    public BeanDescriptor getBeanDescriptor() {
	BeanDescriptor bd = new BeanDescriptor(BEAN_CLASS);
	return (BeanDescriptor) bd;
	}

    public PropertyDescriptor[] getPropertyDescriptors() {
	try{
	    PropertyDescriptor deviceName = 
		new PropertyDescriptor("deviceName", BEAN_CLASS);
	    deviceName.setBound(true);
	    deviceName.setConstrained(false);
	    deviceName.setDisplayName("device name");
	    
	    PropertyDescriptor propertyName = 
		new PropertyDescriptor("propertyName", BEAN_CLASS);
	    propertyName.setBound(true);
	    propertyName.setConstrained(false);
	    propertyName.setDisplayName("property name");
	    
	    PropertyDescriptor[] rv = {deviceName, propertyName };
	    return rv;
	} catch (IntrospectionException e) { throw new Error(e.toString()); }
    }
    
} //end of class CCanvasBeanInfo
