/*
 * Copyright (c) 2000 Southeastern Universities Research Association,
 *                    Continuous Electron Beam Accelerator Facility
 *
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 *
 *  Revision History:
 *  03/10/00:  Release version 0.1.
 *  04/17/00:  Release version 0.2. (no change) 
 *  06/24/00:  Release version 0.3 (deprecated)
 *
 */

package adm;

import java.awt.*;
import cdev.*;

/**
 * @deprecated    As version 0.3, replaced by CApplication.
 * <BR><BR>
 * Create an awt frame, and initialize a connection to a server, typically 
 * a gateway such as cdevGateway. Extending this class automates making 
 * this connection. 
 * <BR><BR>
 * There are four CFrame constructors. Use CFrame () and CFrame (String title)
 * to connect to the local host and default port (9199). Use constructors 
 * CFrame (String host, int port) and CFrame (String host, int port, String 
 * title) to connect to a specific host and port. 
 *
 *
 * @version  0.2  04/17/00
 * @author   Ying Chen, Chip Watson
 *           (Based on work by Cuong Quach and Mr. John Winans)
 * @since    adm0.1
 *
 */
public class CFrame extends Frame {

    private static int DEFAULT_PORT = 9199;
    private ControlSystem sys;
    private int port;
    private String host = null;    
 
    /**
     * Null Constructor
     */
    public CFrame()
    {
	this("localhost",  DEFAULT_PORT);
    }


    /**
     * Constructor
     * @param title   the title of the frame
     */
    public CFrame(String title)
    {
	this("localhost",  DEFAULT_PORT);
	setTitle(title);
    }


    /**
     * Constructor
     * @param host    cdevGateway host name
     * @param port    port number cdevGateway used
     */
    public CFrame (String host, int port)
    {
	super();
	this.host = host;
        this.port = port;
        //----------------------------------------------//
        // Connect to Control system.
        //----------------------------------------------//
        try {
            sys = ControlSystem.getDefault();
            sys.connect(host,port);
        } catch (Exception e) {
            e.printStackTrace();
        }
    } 

    /**
     * constructor
     * @param host    cdevGateway host name
     * @param port    port number cdevGateway used
     * @param title   the title of the frame
     */
    public CFrame(String host, int port, String title)
    {
	this(host, port);
	setTitle(title);
    }


}




