//---------------------------------------------------------------------------
// Copyright (c) 2000 Southeastern Universities Research Association,
//                    Continuous Electron Beam Accelerator Facility
//
// This software was developed under a United States Government license
// described in the NOTICE file included as part of this distribution.
//---------------------------------------------------------------------------
//
// Author: Ying Chen
//
//---------------------------------------------------------------------------
//  Revision History:
//  03/10/00:  Release version 0.1.
//
//
//
//---------------------------------------------------------------------------

import java.awt.*;
import cdev.*;
import adm.*;

/**
 * A adm widget demo program to show various widgets with different
 * properties.
 */
public class WidgetsDemo extends CApplication {

  public static void main (String [] args) {
 
      int port = 9199;
      String host = null;

      if (args.length == 2) {
	  host = args[0];
	  port = Integer.parseInt(args[1]);
      }
      else {
	  System.out.println("syntax: java WidgetsDemo host port");
	  System.exit(-1);
      }

      WidgetsDemo d1 = new WidgetsDemo(host, port);
      d1.setSize(600, 400);
      d1.show();
  }


    public WidgetsDemo(String host, int port) 
    {       
	super(host, port, "adm widge demo");

	Panel p = new Panel();
	p.setLayout(new FlowLayout(FlowLayout.CENTER, 20, 20));
	p.setBackground(Color.lightGray);

	//--- add CBar widget --------
        CBar B1 = new CBar("R121","GSET");
        B1.setSize(60, 170);
        B1.setBackground(Color.orange);
        B1.setForeground(Color.black);
        B1.setColorMode(CConstants.CLRMOD_ALARM);
        B1.setLabelStyle(CConstants.LABEL_VALUE);
        B1.setFont(new Font("Dialog", Font.ITALIC, 14));
        p.add(B1);

        //--- add CIndicator widget --------
        CIndicator I1 = new CIndicator(60, 180, Color.darkGray, Color.pink);
        I1.setDeviceName("R123");
        I1.setPropertyName("GSET");
        I1.setColorMode(CConstants.CLRMOD_ALARM);
        I1.setLabelStyle(CConstants.LABEL_ALL);
        I1.setFrameWidth(4);
        p.add(I1);

        //--- add CMeter widget -------------
        CMeter M1 = new CMeter();
        M1.setSize(180, 140);
        M1.setForeground(Color.white);
        M1.setDeviceName("R124");
        M1.setPropertyName("GSET");
        M1.setColorMode(CConstants.CLRMOD_ALARM);
        M1.setLabelStyle(CConstants.LABEL_ALL);
        M1.setFrameWidth(3);
        p.add(M1);


        //--- add CBits widget --------------
        CBits Bit1 = new CBits("R127", "GSET");
        Bit1.setSize(180, 60);
        Bit1.setFrameWidth(4);
        Bit1.setLabelStyle(CConstants.LABEL_AXIS);
	Bit1.setFont(new Font("Dialog", Font.BOLD, 14));
        p.add(Bit1);

	//--- add CRect and COval --------------
	CRect rect = new CRect("R128", "GEST");
	rect.setSize(30, 30);
	rect.setColorMode(CConstants.CLRMOD_ALARM);
	p.add(rect);
	COval oval = new COval("R129", "GEST");
	oval.setSize(30, 40);
	oval.setColorMode(CConstants.CLRMOD_ALARM);
	p.add(oval);

	//--- add CTextField widget ----------
        CTextField TF1 = new CTextField("R126", "GSET"); 
	TF1.setFont(new Font("TimesRoman", Font.BOLD, 18));
        p.add(TF1);

        //--- add CLabel widget ------------
        CLabel L2 = new CLabel("Problem");
        L2.setDeviceName("R125");
        L2.setPropertyName("GSET");
	L2.setForeground(Color.lightGray);
        L2.setColorMode(CConstants.CLRMOD_ALARM);
        L2.setFont(new Font("TimesRoman", Font.ITALIC, 16));
        p.add(L2);

        CLabel L1 = new CLabel("R125","GSET");
        L1.setFormat(CConstants.FRMT_AUTO);
        L1.setForeground(Color.green);
        L1.setFont(new Font("TimesRoman", Font.BOLD, 18));
        p.add(L1);
	
	//--- add menuButton ----------------------
	

	add(p);      
  }
    
}








